Cyberduck Mountain Duck CLI

#10600 closed defect (fixed)

Invalid version id specified error for download

Reported by: cduser Owned by: dkocher
Priority: high Milestone: 6.9.3
Component: s3 Version: Nightly Build
Severity: major Keywords: s3 govcloud aws
Cc: Architecture:
Platform: macOS 10.13

Description (last modified by cduser)

I am getting the following error when Downloading certain files from S3 in GovCloud:

Download <filename> failed.

Invalid version id specified. Please contact your web hosting service provider for assistance.

I am hitting this error when trying to download directories. It works as expected if I try to download the single file reported in the error or a group of files that includes the file reported in the error. I'm currently on Version 6.9.3 (29979). I don't see any messages in the Log Drawer. Thanks!

Change History (5)

comment:1 Changed on Feb 6, 2019 at 10:18:31 PM by cduser

  • Description modified (diff)

comment:2 follow-up: Changed on Feb 7, 2019 at 10:28:30 PM by dkocher

  • Milestone set to 6.9.3
  • Owner set to dkocher
  • Status changed from new to assigned

Can you please choose View → Show Hidden Files to find out which file is causing the error. I suspect it is a pending multipart upload we mistakenly try to download.

comment:3 in reply to: ↑ 2 Changed on Feb 8, 2019 at 1:04:34 AM by cduser

Replying to dkocher:

Can you please choose View → Show Hidden Files to find out which file is causing the error. I suspect it is a pending multipart upload we mistakenly try to download.

Hi dkocher,

There is a hidden file in the directory with the same name shown in the error. We also have versioning disabled in this bucket. Thanks!

Last edited on Feb 8, 2019 at 3:59:14 PM by cduser (previous) (diff)

comment:4 Changed on Feb 8, 2019 at 7:59:53 PM by dkocher

  • Summary changed from AWS GovCloud S3: Invalid version id specified. to Invalid version id specified error for download

comment:5 Changed on Feb 13, 2019 at 5:10:48 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r46334.

Note: See TracTickets for help on using tickets.
swiss made software